Imports BindingSourceDemo.Human

Public Class Form1
#Region "Object instantiation"
    Private PeopleCollection As New People

#End Region

    Private Sub btnAdd_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnAdd.Click
        Try
            'instantiate a person object
            Dim ThisPerson As New People.Person

            With ThisPerson
                'add some values to the objects properties
                .FirstName = txtFirstName.Text
                .LastName = txtLastName.Text

                'add our person object (ThisPerson) to the PeopleCollection by passing it to the binding source object (PeopleSource).
                PeopleSource.Add(ThisPerson)

                'print out out info to the label on the form
                Me.lblInfo.Text = String.Concat(.FirstName, " ", .LastName, " was added to the collection!")
            End With

        Catch ex As Exception
            'generic error handling
            MessageBox.Show(ex.Message, "Error adding names to person class", MessageBoxButtons.OK)
        End Try
    End Sub



    Private Sub ExitToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ExitToolStripMenuItem.Click
        Application.Exit()
    End Sub

    Private Sub AboutToolStripMenuItem1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AboutToolStripMenuItem1.Click
        Dim abt As New AboutBox1
        abt.Show()
    End Sub

  
    
 
 
  

End Class
